EVP_SHA3_224(3)

NAME
EVP_sha3_224, EVP_sha3_256, EVP_sha3_384, EVP_sha3_512 - Secure Hash Algorithm 3 for EVP

SYNOPSIS
#include <openssl/evp.h>
const EVP_MD *
EVP_sha3_224(void);
const EVP_MD *
EVP_sha3_256(void);
const EVP_MD *
EVP_sha3_384(void);
const EVP_MD *
EVP_sha3_512(void);

DESCRIPTION
SHA-3 (Secure Hash Algorithm 3) is a family of cryptographic hash functions standardized in NIST FIPS 202, first published in 2015. It is based on the Keccak algorithm.

EVP_sha3_224(), EVP_sha3_256(), EVP_sha3_384(), and EVP_sha3_512() implement the SHA3-224, SHA3-256, SHA3-384, and SHA3-512 algorithms and produce 224, 256, 384 and 512 bits of output from a given input, respectively.

RETURN VALUES
These functions return pointers to static EVP_MD objects implementing the hash functions.

SEE ALSO
evp(3), EVP_DigestInit(3), EVP_MD_meth_new(3)

STANDARDS
NIST FIPS 202